class InMailbox < ApplicationMailbox
  def process
    email_importer = EmailImporter.new
    repository = EmailRepository.new

    email = email_importer.import(mail)

    processor = RuleSetProcessor.new(email: email)
    email = processor.process_all(RuleSet.enabled)

    repository.save(email)
  end
end
